Bug 388651 - thunderbird crashes on startup. local mail seems to be wiped out.
thunderbird crashes on startup. local mail seems to be wiped out.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
8
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
TB12ReproductionRequest
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-17 13:34 EST by Anthony Green
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-10 05:52:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
bug log (516.78 KB, text/plain)
2007-11-17 13:34 EST, Anthony Green
no flags Details
gdb backtrace (12.22 KB, text/plain)
2007-11-19 10:29 EST, Anthony Green
no flags Details

  None (edit)
Description Anthony Green 2007-11-17 13:34:48 EST
Description of problem:
Staring thunderbird gives me:
The application gecko has crashed.
Information about the crash has been successfully collected.

I'll upload the log file.

Also....

$ ls -l .thunderbird/xxmtmj8t.default/Mail/mail.spindazzle.org
total 28
-rw-rw-r-- 1 green green        0 2007-03-18 08:59 Drafts
-rw-rw-r-- 1 green green     1694 2007-11-17 06:31 Drafts.msf
-rw-rw-r-- 1 green green 68440064 2007-06-27 19:13 Inbox
-rw-rw-r-- 1 green green        0 2007-11-17 10:25 Inbox.msf
-rw-rw-r-- 1 green green     1233 2007-03-19 00:48 Junk.msf
-rw------- 1 green green       25 2007-10-29 14:42 msgFilterRules.dat
-rw-rw-r-- 1 green green       61 2007-11-17 09:30 popstate.dat
-rw-rw-r-- 1 green green        0 2007-03-18 08:59 Sent
-rw-rw-r-- 1 green green     1692 2007-11-17 06:31 Sent.msf
-rw-rw-r-- 1 green green        0 2007-03-18 08:59 Templates
-rw-rw-r-- 1 green green     1705 2007-11-17 06:31 Templates.msf
-rw-rw-r-- 1 green green        0 2007-03-18 08:59 Trash
-rw-rw-r-- 1 green green     1850 2007-11-17 06:31 Trash.msf

Inbox just contains 0x00, so all of that mail is gone.

Version-Release number of selected component (if applicable):
thunderbird-2.0.0.9-1.fc8


How reproducible:
Always.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Anthony Green 2007-11-17 13:34:48 EST
Created attachment 262441 [details]
bug log
Comment 2 Matěj Cepl 2007-11-19 10:09:54 EST
Does it crash every time, you run thunderbird? Are you able to run thunderbird
inside of debugger (that means, you have to have gdb installed, and then run
thunderbird with -g paramter and initiate a command run on prompt)? When it
crashes run in gdb command

thread apply all backtrace

and paste to this bug output from gdb, please.
Comment 3 Anthony Green 2007-11-19 10:29:03 EST
Created attachment 263561 [details]
gdb backtrace
Comment 4 Matěj Cepl 2008-03-07 17:42:39 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test with the latest
version of Thunderbird (2.0.0.12) now available for your distribution and
provide feedback as to whether the problem still exists so we can file a ticket
upstream as soon as possible.
Comment 5 Matěj Cepl 2008-04-10 05:52:58 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.